<?xml version="1.0" encoding="ISO-8859-1" ?>
<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"
	language="java"
	extends="it.eng.spago.dispatching.httpchannel.AbstractHttpJspPage"
	import="java.util.List, it.eng.spago.base.*, it.eng.console.util.Constants,
			it.eng.spago.message.MessageBundle, it.eng.spago.configuration.ConfigSingleton"
	session="true"
	errorPage="/jsp/spago/jspError.jsp"
%>
<%@ taglib uri="consoletags" prefix="console"%>

<%@page import="org.spagic.metadb.base.ProcessInstanceStateConstants"%><html xmlns="http://www.w3.org/1999/xhtml">
<%@include file="listBase.jsp"%>
<body onload="init();return false;">
<%      
	List processList = getServiceResponse(request).getAttributeAsList("LIST.ITEM");
	String title = "";
	String status = "";
	String taxonomyVisible = ((String)ConfigSingleton.getInstance().getAttribute("CONSOLE.taxonomyVisible")!= null)
							? (String)ConfigSingleton.getInstance().getAttribute("CONSOLE.taxonomyVisible")
							: "FALSE"; 
	if(taxonomyVisible.equalsIgnoreCase("TRUE")){ %>							
<console:taxonomyTree treeElementId="tree" actionName="ProcessListFilteredNotPublisherAction"/>
<%} %>
	
		<script>
		var ajaxObjects = new Array();
		var treeMenu;
		
		//variabili contenti scelte utente utilizzate per la navigazione 	
		var idSelectedNode;
		var idSelectedIterType;						
		var taxonomy;
		var taxonomyValue;	
		var orderBy, orderType;
		var status;
		
		function init(){				
			hideProcessDetailPanel();
			<%if(taxonomyVisible.equalsIgnoreCase("TRUE")){ %>							
				initTabs('processSearchTab',Array('<%=MessageBundle.getMessage("taxonomy", "properties.spagic")%>','<%=MessageBundle.getMessage("iter", "properties.spagic")%>'),0,240,450,Array(false));					
				initTree();	
				document.getElementById("tree").innerHTML = taxonomyTree;
			<%} else {%>
				initTabs('processSearchTab',Array('<%=MessageBundle.getMessage("iter", "properties.spagic")%>'),0,240,450,Array(false));					
			<%}%>
			initTableWidget('myTable',650,340,Array('PROCESS',false,'DATA',false,false,false, false, false, false),'true');
		}
		function reload() {
			var url = "<%=docBase%>/ProcessListFilteredAction.action";
			window.location = url;
		}
		
		function removeAllChildNodes(node) {
			if (node && node.hasChildNodes && node.removeChild) {
				while (node.hasChildNodes()) {
					node.removeChild(node.firstChild);
				}
			}
		}
		
		function clearProcessList(){
			if (navigator.appName == 'Microsoft Internet Explorer') {
				removeAllChildNodes(document.getElementById('processListTable'));
			}else{
				document.getElementById('processListTable').innerHTML='';
			}
		
		}
		function showProcessList(){
			document.getElementById('processList').style.display='block';
		}	
		function hideProcessDetailPanel(){
			document.getElementById('processDetail').style.display='none';
		}
		function showProcessDetailPanel(){
			document.getElementById('processDetail').style.display='block';
		}
		function clearFields(){
			document.getElementById("start").src="<%=docBase%>/images/console/blank.png";
			document.getElementById("stop").src="<%=docBase%>/images/console/blank.png";
			document.getElementById("nome").value="";
			document.getElementById("descrizione").value="";
			document.getElementById("dataInizio").value="";
			document.getElementById("dataFine").value="";
			document.getElementById("UDDIOrg").value="";
			document.getElementById("UDDIName").value="";
		}
		function showProcessDetail(processId){
			var ajaxIndex = ajaxObjects.length;	
			ajaxObjects[ajaxIndex] = new sack();
			clearFields();
			document.getElementById("processId").value=processId;
			ajaxObjects[ajaxIndex].requestFile = "<%=docBase%>" + "/ProcessDetailAction.action?processId="+processId;
			ajaxObjects[ajaxIndex].onCompletion = function(){onCompletion(ajaxIndex)};
			ajaxObjects[ajaxIndex].runAJAX();	
		}
		function onCompletion(ajaxIndex){				
			var responseXML = ajaxObjects[ajaxIndex].responseXML;		
			var detail = responseXML.getElementsByTagName("DETAIL")[0];	
			document.getElementById("nome").value=detail.getAttribute("nome");
			document.getElementById("versione").value=detail.getAttribute("versione");
			document.getElementById("descrizione").value=detail.getAttribute("descrizione");
			document.getElementById("dataInizio").value=detail.getAttribute("dataInizio");
			document.getElementById("dataFine").value=detail.getAttribute("dataFine");
			document.getElementById("UDDIOrg").value=detail.getAttribute("UDDIOrg");
			document.getElementById("UDDIName").value=detail.getAttribute("UDDIName");
			status = detail.getAttribute("status");
			if(status == '<%=it.eng.jmx.util.Constants.STARTED%>'){
				document.getElementById("start").src="<%=docBase%>/images/console/runDisabled.png";
				document.getElementById("startHref").onclick=function () {return};
				document.getElementById("stop").src="<%=docBase%>/images/console/stop.png";
				document.getElementById("stopHref").onclick=function () {changeStatus();};
			}
			else if (status == '<%=it.eng.jmx.util.Constants.STOPPED%>'){
				document.getElementById("start").src="<%=docBase%>/images/console/run.png";
				document.getElementById("startHref").onclick=function () {changeStatus();};
				document.getElementById("stop").src="<%=docBase%>/images/console/stopDisabled.png";
				document.getElementById("stopHref").onclick=function () {return};
			}
			else {
				document.getElementById("start").src="<%=docBase%>/images/console/not_deployed.png";
				document.getElementById("stop").src="<%=docBase%>/images/console/blank.png";
				document.getElementById("startHref").onclick=function () {return};
				document.getElementById("stopHref").onclick=function () {return};
			}
			ajaxObjects[ajaxIndex] = false;	
			showProcessDetailPanel();	
		}
		function showProcessGraph(processId,processName){
			window.location = "<%=docBase%>" + "/ProcessGraphAction.action?processId=" + processId;
		}
		
		function changeStatusMonitoring(processId, imageId){
			var ajaxIndex = ajaxObjects.length;	
			ajaxObjects[ajaxIndex] = new sack();
			ajaxObjects[ajaxIndex].requestFile = "<%=docBase%>" + "/ChangeStatusMonitoringNotPublisherAction.action?processId="+processId;
			ajaxObjects[ajaxIndex].onCompletion = function(){reloadStatusMonitoring(ajaxIndex,imageId)};
			ajaxObjects[ajaxIndex].runAJAX();	
		}
		function reloadStatusMonitoring(ajaxIndex, imageId){
			imageId = 'image_' + imageId;
			var responseXML = ajaxObjects[ajaxIndex].responseXML;		
			var response = responseXML.getElementsByTagName("SERVICE_RESPONSE")[0];
			if(response.getAttribute("isEnabled") != null){
				if(response.getAttribute("isEnabled")=='true')
					document.getElementById(imageId).src="<%=docBase%>/images/console/executed.gif";
				else
					document.getElementById(imageId).src="<%=docBase%>/images/console/fault.gif";	
			}
			ajaxObjects[ajaxIndex] = false;	
		}
		
		function changeStatus(){
			var ajaxIndex = ajaxObjects.length;	
			ajaxObjects[ajaxIndex] = new sack();
			ajaxObjects[ajaxIndex].requestFile = "<%=docBase%>" + "/ChangeStatusNotPublisherAction.action?processId="+document.getElementById('processId').value+"&oldStatus="+status;
			ajaxObjects[ajaxIndex].onCompletion = function(){reloadStatus(ajaxIndex)};
			ajaxObjects[ajaxIndex].runAJAX();	
		}
		
		function reloadStatus(ajaxIndex){
			var responseXML = ajaxObjects[ajaxIndex].responseXML;		
			var response = responseXML.getElementsByTagName("SERVICE_RESPONSE")[0];
			if(response.getAttribute("newState") != null){
				status = response.getAttribute("newState");
				if(status == '<%=it.eng.jmx.util.Constants.STARTED%>'){
					document.getElementById("start").src="<%=docBase%>/images/console/runDisabled.png";
					document.getElementById("startHref").onclick=function () {return};
					document.getElementById("stop").src="<%=docBase%>/images/console/stop.png";
					document.getElementById("stopHref").onclick=function () {changeStatus();};
				}
				else if (status == '<%=it.eng.jmx.util.Constants.STOPPED%>'){
					document.getElementById("start").src="<%=docBase%>/images/console/run.png";
					document.getElementById("startHref").onclick=function () {changeStatus();};
					document.getElementById("stop").src="<%=docBase%>/images/console/stopDisabled.png";
					document.getElementById("stopHref").onclick=function () {return};
				}
			} else if (response.getAttribute("error") != null)
				alert(response.getAttribute("error"));
			ajaxObjects[ajaxIndex] = false;	
		}
		function orderProcess(orderBy, direction){			
			var url = "<%=docBase%>" + "/ProcessListFilteredNotPublisherAction.action?PAGE=CURRENT_PAGE";
			if(idSelectedNode != null)
				url += "&<%=Constants.LBL_SELECTED_NODE%>=" + idSelectedNode;
			if(idSelectedIterType != null)
				url += "&<%=Constants.LBL_SELECTED_ITER%>=" + idSelectedIterType;
			if(taxonomy != null)
				url += "&<%=Constants.LBL_SELECTED_TAXONOMY%>=" + taxonomy;
			if(taxonomyValue != null)
				url += "&<%=Constants.LBL_SELECTED_TAXONOMY_VALUE%>=" + taxonomyValue;
			url += "&ordinaPer=" + orderBy + "&ordina=" + direction;
			reloadProcessList(url);
		}
		function navigateProcessList(page){
			var url = "<%=docBase%>" + "/ProcessListFilteredNotPublisherAction.action?PAGE=" + page;
			if(idSelectedNode != null)
				url += "&<%=Constants.LBL_SELECTED_NODE%>=" + idSelectedNode;
			if(idSelectedIterType != null)
				url += "&<%=Constants.LBL_SELECTED_ITER%>=" + idSelectedIterType;
			if(taxonomy != null)
				url += "&<%=Constants.LBL_SELECTED_TAXONOMY%>=" + taxonomy;
			if(taxonomyValue != null)
				url += "&<%=Constants.LBL_SELECTED_TAXONOMY_VALUE%>=" + taxonomyValue;
			if (orderBy != null && orderType != null)
				url += "&ordinaPer=" + orderBy + "&ordina=" + orderType;
					
			reloadProcessList(url);
		}
		//funzione invocata quando si seleziona una foglia dell'albero delle classificazioni
		//oppure un tipo iter oppure si naviga la lista
		function reloadProcessList(url){
			var ajaxIndex = ajaxObjects.length;	
			ajaxObjects[ajaxIndex] = new sack();			
			clearProcessList();
			hideProcessDetailPanel();
			ajaxObjects[ajaxIndex].requestFile = url;
			ajaxObjects[ajaxIndex].onCompletion = function(){onCompletionReloadProcessList(ajaxIndex)};
			ajaxObjects[ajaxIndex].runAJAX();		
		}
	
		function onCompletionReloadProcessList(ajaxIndex){	
		
			var responseXML = ajaxObjects[ajaxIndex].responseXML;
			idSelectedNode = responseXML.getElementsByTagName("LIST")[0].getAttribute("<%=Constants.LBL_SELECTED_NODE%>");
			idSelectedIterType = responseXML.getElementsByTagName("LIST")[0].getAttribute("<%=Constants.LBL_SELECTED_ITER%>");						
			taxonomy = responseXML.getElementsByTagName("LIST")[0].getAttribute("<%=Constants.LBL_SELECTED_TAXONOMY%>");
			taxonomyValue = responseXML.getElementsByTagName("LIST")[0].getAttribute("<%=Constants.LBL_SELECTED_TAXONOMY_VALUE%>");						
			orderBy = responseXML.getElementsByTagName("LIST")[0].getAttribute("<%=Constants.LBL_ORDINAMENTO%>");	
			orderType = responseXML.getElementsByTagName("LIST")[0].getAttribute("<%=Constants.LBL_TIPO_ORDINAMENTO%>");	
				
			var list = responseXML.getElementsByTagName("ITEM");
			if (document.getElementById('nextPage') != null) {
				if(list.length < <%=Constants.sizeProcessList%>) 
					document.getElementById('nextPage').style.display= 'none';
				else  
					document.getElementById('nextPage').style.display= 'inline';
			}
		
			var item;
			for (index=0; index<list.length; index++) {
				item = list[index];
				var tr = document.createElement("<TR>");
				
				//colonna nome
				var td = document.createElement("<TD>");
				td.innerHTML = item.getAttribute("name");
				tr.appendChild(td);
				//colonna type
				var td = document.createElement("<TD>");
				var img = document.createElement('IMG');
				if (item.getAttribute("type") == "<%=Constants.JBI_PROCESS%>") {
					img.src = "<%=docBase%>/images/console/jbi.jpg";
					img.title = "JBI";
				} else {
					img.src = "<%=docBase%>/images/console/bpel.gif";
					img.title = "BPEL";
				}
				td.appendChild(img);
				tr.appendChild(td);
				//colonna dataInizio
				var td = document.createElement("<TD>");
				td.innerHTML = item.getAttribute("dataInizio");
				tr.appendChild(td);
				//colonna istanze
				var td = document.createElement("<TD>");
				if (item.getAttribute("istanze")!= 0){
					var a = document.createElement("<a>");
					a.href = "#";
					defineOnClickShowProcessInstances(a, item.getAttribute("id"), '');
					a.innerHTML = item.getAttribute("istanze");
					td.appendChild(a);
				} else 
					td.innerHTML = item.getAttribute("istanze");
				tr.appendChild(td);
				//colonna istanze in esecuzione
				var td = document.createElement("<TD>");
				if (item.getAttribute("istanzeAttive")!= 0){
					var a = document.createElement("<a>");
					a.href = "#";
					defineOnClickShowProcessInstances(a, item.getAttribute("id"), <%=ProcessInstanceStateConstants.PROCESS_ACTIVE%>);
					a.innerHTML = item.getAttribute("istanzeAttive");
					td.appendChild(a);
				} else 
					td.innerHTML = item.getAttribute("istanzeAttive");
				tr.appendChild(td);
				//colonna istanze in errore
				var td = document.createElement("<TD>");
				if (item.getAttribute("istanzeInErrore")!= 0){
					var a = document.createElement("<a>");
					a.href = "#";
					defineOnClickShowProcessInstances(a, item.getAttribute("id"), <%=ProcessInstanceStateConstants.PROCESS_FAULTED%>);
					a.innerHTML = item.getAttribute("istanzeInErrore");
					td.appendChild(a);
				} else 
					td.innerHTML = item.getAttribute("istanzeInErrore");
				tr.appendChild(td);
				//colonna istanze eseguite
				var td = document.createElement("<TD>");
				if (item.getAttribute("istanzeEseguite")!= 0){
					var a = document.createElement("<a>");
					a.href = "#";
					defineOnClickShowProcessInstances(a, item.getAttribute("id"), <%=ProcessInstanceStateConstants.PROCESS_DONE%>);
					a.innerHTML = item.getAttribute("istanzeEseguite");
					td.appendChild(a);
				} else 
					td.innerHTML = item.getAttribute("istanzeEseguite");
				tr.appendChild(td);
				//colonna cambio stato monitoring
				var td = document.createElement("<TD>");
				var a = document.createElement("<a>");
				a.href = "#";
				defineOnClickChangeStatusMonitoringFunction(a, index, item.getAttribute("id"));
				var img = document.createElement('IMG');
				img.id = "image_" + index;
				<%  
					title = MessageBundle.getMessage("enableDisable", "properties.spagic");
				%>
				img.title = "<%=title%>";
				if(item.getAttribute("isMonitorEnabled")=='true')
					img.src = "<%=docBase%>/images/console/executed.gif";
				else 
					img.src = "<%=docBase%>/images/console/fault.gif";
				a.appendChild(img);
				td.appendChild(a);
				tr.appendChild(td);
				//colonna link dettaglio
				var td = document.createElement("<TD>");
				var a = document.createElement("<a>");
				a.href = "#";
				defineOnClickShowProcessDetailFunction(a, item.getAttribute("id"));
				var img = document.createElement('IMG');
				img.src = "<%=docBase%>/images/console/detail.png";
				a.appendChild(img)
				td.appendChild(a);
				tr.appendChild(td);
				//colonna link grafo
				var td = document.createElement("<TD>");
				var a = document.createElement("<a>");
				a.href = "#";
				defineOnClickShowProcessGraphFunction(a, item.getAttribute("id"), item.getAttribute("name"));
				var img = document.createElement('IMG');
				img.src = "<%=docBase%>/images/console/graph.gif";
				a.appendChild(img);
				td.appendChild(a);
				tr.appendChild(td);
				
				document.getElementById('processListTable').appendChild(tr);
			}
			
			ajaxObjects[ajaxIndex] = false;				
		}	
		function defineOnClickShowProcessDetailFunction(a, id){
			a.onclick = function () {showProcessDetail(id)};
		}
		function defineOnClickShowProcessGraphFunction(a, id, name){
			a.onclick = function () {showProcessGraph(id, name)};
		}
		function defineOnClickChangeStatusMonitoringFunction(a, index, id){
				a.onclick = function () {changeStatusMonitoring(id, index)};
		}
		function defineOnClickShowProcessInstances(a, id, state){
			a.onclick = function () {showProcessInstances(id, state)};
		}
		function showProcessInstances(processId, state){
			var url = "<%=docBase%>" + "/ProcessInstanceListByParametersPage.page?savePaginationInfo=TRUE&fromProcessList=TRUE&processId=" + processId + "&stato=" + state; 
			window.location=url;
		}
	</script>
	
	<div id="background"> 
    <div id="backgroundlogo">  
    	<div id="header">
	    	<div id="logotitle">
	    	</div> 
	    	<div id="menubar"> 
	        <console:baseMenu/>
	        <div id="title">
	        	<console:label id="processList"/>
	        </div>
	        <console:reloadMenu position="-1"/>
	        <console:logoutMenu/>
			</div>
		</div>
        
        <div id="mainContainer">
			<div id=processContainer>
		
				<div id="processSearchTab">
				<%if(taxonomyVisible.equalsIgnoreCase("TRUE")){ %>	
					<div class="dhtmlgoodies_aTab">
						<div id="tree">	
						</div>
					</div>
				<%} %>
				    <div class="dhtmlgoodies_aTab">	
				    	<table>
						<tr><console:iterTypeCombo idSelect="iterType" actionName="ProcessListFilteredNotPublisherAction" jsFunctionName="reloadProcessList"/></tr>
				  		</table>
				  	</div>	
				</div>					
				<div id="processList">
				<a href="#" onclick="navigateProcessList('<%=Constants.FIRST_PAGE%>');return false;"><img src="<%=docBase%>/images/console/navigation/control_rewind_blue.png"></a>
				<a href="#" onclick="navigateProcessList('<%=Constants.PREV_PAGE%>');return false;"><img src="<%=docBase%>/images/console/navigation/control_back_blue.png"></a>
				<% if (processList.size()==Constants.sizeProcessList) {			%>
					<a id="nextPage" href="#" onclick="navigateProcessList('<%=Constants.NEXT_PAGE%>');return false;"><img src="<%=docBase%>/images/console/navigation/control_play_blue.png"></a>
				<%} %>	
				<div class="widget_tableDiv">
				<table id="myTable">
					<thead>
						<tr>
							<td><console:label id="name"/></td>	
							<td><console:label id="type"/></td>					
							<td><console:label id="startDate"/></td>										
							<td><console:label id="instances"/></td>
							<td><console:label id="instancesActive"/></td>
							<td><console:label id="instancesFaulted"/></td>
							<td><console:label id="instancesDone"/></td>
							<td><console:label id="monitoring"/></td>
							<td>&nbsp;</td>
							<td>&nbsp;</td>
						</tr>
					</thead>
					<tbody id="processListTable" class="scrollingContent">
					<%	SourceBean process;
						Long processId;
						String processName;
						String instances, instancesActive, instancesFaulted, instancesExecuted;
						if (processList != null){
							for (int indexProcess=0; indexProcess<processList.size();indexProcess++) {
								process = (SourceBean)processList.get(indexProcess);
								processId = (Long)process.getAttribute("id"); 
								processName = (String)process.getAttribute("name");
								instances = (String)process.getAttribute("istanze");
								instancesActive = (String)process.getAttribute("istanzeAttive");
								instancesFaulted = (String)process.getAttribute("istanzeInErrore");
								instancesExecuted = (String)process.getAttribute("istanzeEseguite");
					%>
								<tr>
								<td><%=processName%></td>
								<%if (((String)process.getAttribute("type")).equalsIgnoreCase(Constants.JBI_PROCESS)) {%>
									<td><img src="<%=docBase%>/images/console/jbi.jpg" alt="JBI" title="JBI"/></td>		
								<%} else if (((String)process.getAttribute("type")).equalsIgnoreCase(Constants.BPEL_PROCESS)) {%>
									<td><img src="<%=docBase%>/images/console/bpel.gif" alt="BPEL" title="BPEL"/></td>				
								<%} else {%>
									<td>&nbsp;</td>
								<%}%>
								<td><%=(String)process.getAttribute("dataInizio")%></td>
								<td>
									<%if (Integer.parseInt(instances) != 0){%><a href="#" onclick="showProcessInstances(<%=processId%>, '')"><%}%>							
									<%=instances%>
									<%if (Integer.parseInt(instances) != 0){%></a><%}%>
								</td>			
								<td>
									<%if (Integer.parseInt(instancesActive) != 0){%><a href="#" onclick="showProcessInstances(<%=processId%>, <%=ProcessInstanceStateConstants.PROCESS_ACTIVE%>)"><%}%>							
									<%=instancesActive%>
									<%if (Integer.parseInt(instancesActive) != 0){%></a><%}%>
								</td>	
								<td>
									<%if (Integer.parseInt(instancesFaulted) != 0){%><a href="#" onclick="showProcessInstances(<%=processId%>, <%=ProcessInstanceStateConstants.PROCESS_FAULTED%>)"><%}%>							
									<%=instancesFaulted%>
									<%if (Integer.parseInt(instancesFaulted) != 0){%></a><%}%>
								</td>	
								<td>
									<%if (Integer.parseInt(instancesExecuted) != 0){%><a href="#" onclick="showProcessInstances(<%=processId%>, <%=ProcessInstanceStateConstants.PROCESS_DONE%>)"><%}%>							
									<%=instancesExecuted%>
									<%if (Integer.parseInt(instancesExecuted) != 0){%></a><%}%>
								</td>	
								<td><a href="#" onclick="changeStatusMonitoring(<%=processId%>, <%=indexProcess%>);return false;">
								<%
									title=MessageBundle.getMessage("enableDisable", "properties.spagic");
									if(((Boolean)process.getAttribute("isMonitorEnabled")).booleanValue()) {
								%>
									<img alt="<%=title%>" title="<%=title%>" id="image_<%=indexProcess%>" src="<%=docBase%>/images/console/executed.gif"/>
								<%} else { %>
									<img alt="<%=title%>" title="<%=title%>" id="image_<%=indexProcess%>" src="<%=docBase%>/images/console/fault.gif"/>
								<%} %></a></td>	
								<td><a href="#" onclick="showProcessDetail(<%=processId%>);return false;"><img src="<%=docBase%>/images/console/detail.png"/></a></td>
								<td><a href="#" onclick="showProcessGraph('<%=processId%>','<%=processName%>');return false;"><img src="<%=docBase%>/images/console/graph.gif"/></a></td>
								</tr>
					<%
							}
							if (processList.size() == 0) {
					%>	
								<tr>
								<td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td>
								</tr>	
					<%
							}
						}
						 else {
					%>	
						<tr>
						<td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td>
						</tr>
					<%} %>	
					</tbody>
				</table>
				</div>
				</div>
				<input type="hidden" id="processId" name="processId" value=""/>
				<div id="processDetail" border="2">
					<table>
					<tr>
						<td><label for="nome"><console:label id="name"/></label></td>
						<td><input readonly type='text' name="nome" id="nome" value="" size="30"/></td>
						<td><label for="versione"><console:label id="version"/></label></td>
						<td><input readonly type='text' name="versione" id="versione" value="" size="1"/></td>
						<td><label for="run"><console:label id="run"/></label>&nbsp;
				        <a title="Start" id="startHref" href="#" onclick="changeStatus();"><img name="start" id="start" src="<%=docBase%>/images/console/not_deployed.png"/></a>
						<a title="Stop" id="stopHref" href="#" onclick="changeStatus();"><img name="stop" id="stop" src="<%=docBase%>/images/console/blank.png"/></a>
						</td>
					</tr>
					<tr>
						<td><label for="descrizione"><console:label id="description"/></label></td>
						<td colspan="4"><input readonly type='text' name="descrizione" id="descrizione" value="" size="80"/></td>
					</tr>
					<tr>
						<td><label for="dataInizio"><console:label id="startDate"/></label></td>
						<td><input readonly type='text' name="dataInizio" id="dataInizio" value="" size="18"/></td>
						<td><label for="dataFine"><console:label id="endDate"/></label></td>
						<td colspan="5"><input type='text' readonly name="dataFine" id="dataFine" value="" size="18"/></td>
					</tr>
					<tr>
						<td><label for="UDDIOrg"><console:label id="UDDIOrg"/></label></td>
						<td><input readonly type='text' name="UDDIOrg" id="UDDIOrg" value="" size="30"/></td>
						<td><label for="UDDIName"><console:label id="UDDIName"/></label></td>
						<td colspan="2"><input readonly  type='text' name="UDDIName" id="UDDIName" value="" size="30"/></td>
					</tr>					
					</table>
				</div>
			</div><!-- end processContainer -->
		
		</div> <!-- end mainContainer -->
        </div>
        </div>
        
  </body>
  
</html>