<?xml version="1.0" encoding="ISO-8859-1" ?>
<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"
	language="java"
	extends="it.eng.spago.dispatching.httpchannel.AbstractHttpJspPage"
	import="it.eng.jmx.util.Constants"
	session="true"
	errorPage="/jsp/spago/jspError.jsp"
%>
<%@ taglib uri="jmxtags" prefix="jmx"%>
<%@ taglib uri="consoletags" prefix="console"%>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Spagic Console</title>
<%String docBase = request.getContextPath();%>
<link rel="stylesheet" href='<%=docBase%>/css/console/console.css' type="text/css"/>
<link rel="stylesheet" href='<%=docBase%>/css/console/table.css' type="text/css"/>
<script type="text/javascript" src='<%=docBase%>/js/console/table.js'></script>
</head>
<body onload="init();periodicRefresh();">
<script>
	function reload() {
		var url = "<%=docBase%>/QueueAction.action?<%=Constants.LBL_SELECTED_SERVER%>=" + document.getElementById('<%=Constants.LBL_SELECTED_SERVER%>').value;
		window.location = url;
	}
	function periodicRefresh() {
		setTimeout('reload()',5000);
	}
	function init() {
		initTableWidget('queueTable',1000,200,Array(false,false,false,false,false,false,false),'true');
		initTableWidget('topicTable',1000,200,Array(false,false,false,false,false,false,false),'true');
	}
</script>
	<div id="background"> 
   	<div id="backgroundlogo">  
    	<div id="header">
	    	<div id="logotitle">
	    	</div> 
	    	<div id="menubar"> 
	        <console:baseMenu/>
	        <div id="title">
				<console:label id="queue"/>
	        </div>
	        <console:reloadMenu position="-1"/>
	        <console:logoutMenu/>
			</div>
		</div>
		<div id="mainContainer">
			<jmx:serverCombo idSelect="server" actionName="QueueAction"/>
			<div id="queueContainer">
			<span>Queues</span>
			<div class="widget_tableDiv">
				<jmx:queueList type="<%=Constants.LBL_QUEUE%>"/>
			</div>
			</div>
			<div id="queueContainer">
			<span>Topics</span>
			<div class="widget_tableDiv">
				<jmx:queueList type="<%=Constants.LBL_TOPIC%>"/>
			</div>
			</div>
			
		</div><!-- end main container -->
		
	</div>
	</div>
			
</body>
</html>